Qt 5.11 | Qt Core | C++ Classes | QGlobalStatic

Qt 5.11.3 Reference Documentation

# Obsolete Members for QGlobalStatic

The following members of class QGlobalStatic are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QGlobalStatic::Type * | operator()()

## Member Function Documentation

### QGlobalStatic::Type *QGlobalStatic::operator()()

This function returns the address of the contents of this global static. If the contents have not yet been created, they will be created thread-safely by this function. If the contents have already been destroyed, this function will return a null pointer.

This function is equivalent to operator Type *(). It is provided for compatibility with the private Q_GLOBAL_STATIC implementation that existed in Qt 4.x and 5.0. New code should avoid using it and should instead treat the object as a smart pointer.